Bug 202639 - results.webkit.org: Start reporting results
Summary: results.webkit.org: Start reporting results
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-10-07 09:13 PDT by Jonathan Bedard
Modified: 2019-10-14 08:27 PDT (History)
8 users (show)

See Also:


Attachments
Patch (9.12 KB, patch)
2019-10-07 09:58 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (13.17 KB, patch)
2019-10-08 17:25 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (13.14 KB, patch)
2019-10-09 09:03 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (13.14 KB, patch)
2019-10-09 13:33 PDT, Jonathan Bedard
dewei_zhu: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2019-10-07 09:13:08 PDT
We should start reporting test results to the new results.webkit.org.

To do this, we have to pass an API key through from the master to each test run which uploads results.
Comment 1 Jonathan Bedard 2019-10-07 09:58:24 PDT
Created attachment 380335 [details]
Patch
Comment 2 dewei_zhu 2019-10-07 12:04:29 PDT
Comment on attachment 380335 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=380335&action=review

> Tools/BuildSlaveSupport/build.webkit.org-config/loadConfig.py:52
> +    results_server_api_key = passwords.get('RESULTS_SERVER_API_KEY')

We usually use lower case for config json keys?
Comment 3 Jonathan Bedard 2019-10-07 13:07:35 PDT
Committed r250784: <https://trac.webkit.org/changeset/250784>
Comment 4 Radar WebKit Bug Importer 2019-10-07 13:08:18 PDT
<rdar://problem/56047710>
Comment 5 Matt Lewis 2019-10-08 12:38:49 PDT
Reverted r250784 for reason:

Broke running layout tests.

Committed r250851: <https://trac.webkit.org/changeset/250851>
Comment 6 Jonathan Bedard 2019-10-08 12:42:20 PDT
(In reply to Matt Lewis from comment #5)
> Reverted r250784 for reason:
> 
> Broke running layout tests.
> 
> Committed r250851: <https://trac.webkit.org/changeset/250851>

This was at my request. Don't want to be rushed when root-causing this failure.
Comment 7 Jonathan Bedard 2019-10-08 17:25:33 PDT
Created attachment 380483 [details]
Patch
Comment 8 Jonathan Bedard 2019-10-09 09:03:43 PDT
Created attachment 380536 [details]
Patch
Comment 9 Jonathan Bedard 2019-10-09 13:33:37 PDT
Created attachment 380561 [details]
Patch
Comment 10 dewei_zhu 2019-10-09 14:09:24 PDT
Comment on attachment 380561 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=380561&action=review

> Tools/Scripts/webkitpy/results/upload_unittest.py:129
> +        with mock.patch('requests.post', new=lambda url, headers={}, data={}: self.MockResponse()):

Is this syntax valid? `data={}: self.MockResponse()`?
Comment 11 dewei_zhu 2019-10-09 14:10:55 PDT
Comment on attachment 380561 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=380561&action=review

>> Tools/Scripts/webkitpy/results/upload_unittest.py:129
>> +        with mock.patch('requests.post', new=lambda url, headers={}, data={}: self.MockResponse()):
> 
> Is this syntax valid? `data={}: self.MockResponse()`?

Never mind. Missed `lambda`
Comment 12 Jonathan Bedard 2019-10-10 07:47:15 PDT
Committed r250966: <https://trac.webkit.org/changeset/250966>